std::discrete_distribution< _IntType >(3)

NAME
std::discrete_distribution< _IntType > - A discrete_distribution random number distribution.

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _IntType result_type

  Public Member Functions
template<typename _InputIterator > discrete_distribution (_InputIterator __wbegin, _InputIterator __wend)
discrete_distribution (const param_type &__p)
discrete_distribution (initializer_list< double > __wl)
template<typename _Func > discrete_distribution (size_t __nw, double __xmin, double __xmax, _Func __fw)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
std::vector< double > probabilities () const
Returns the probabilities of the distribution.
void reset ()
Resets the distribution state.

  Friends
template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::discrete_distribution< _IntType1 > &__x)
Inserts a discrete_distribution random number distribution __x into the output stream __os.
bool operator== (const discrete_distribution &__d1, const discrete_distribution &__d2)
Return true if two discrete distributions have the same parameters.
template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::discrete_distribution< _IntType1 > &__x)
Extracts a discrete_distribution random number distribution __x from the input stream __is.

Detailed Description

  template<typename _IntType = int>
class std::discrete_distribution< _IntType >" A discrete_distribution random number distribution. The formula for the discrete probability mass function is

Definition at line 5268 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.